<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

require_once("Summary_report.php");

class Summary_accounts extends Summary_report
{
	function __construct()
	{
		parent::__construct();
	}

	protected function _get_data_columns()
	{
		return array(
			array('first_name' => $this->lang->line('reports_name')),
			array('last_name' => $this->lang->line('reports_customer')),
			array('address_2' => $this->lang->line('reports_ciruc')),
			array('phone_number' => $this->lang->line('reports_phone')),
			array('monto_total' => $this->lang->line('reports_total'), 'sorter' => 'number_sorter'),
			array('pagado' => $this->lang->line('reports_cancel')),
			array('saldo' => $this->lang->line('reports_saldo')),
			array('vencido' => $this->lang->line('reports_venc')),
			array('vencimiento' => $this->lang->line('reports_date_venc')),
			array('cuotas_vencidas' => $this->lang->line('reports_cuota_venc')),
			array('dias_atraso' => $this->lang->line('reports_atraso'))/*,
			array('sale_date' => $this->lang->line('reports_date')),
			array('quantity' => $this->lang->line('reports_quantity')),
			array('subtotal' => $this->lang->line('reports_subtotal'), 'sorter' => 'number_sorter'),
			array('tax' => $this->lang->line('reports_tax'), 'sorter' => 'number_sorter'),
			
			array('cost' => $this->lang->line('reports_cost'), 'sorter' => 'number_sorter'),
			array('profit' => $this->lang->line('reports_profit'), 'sorter' => 'number_sorter')*/);
	}

	protected function _select(array $inputs)
	{
		parent::_select($inputs);

		$this->db->select('
				sales.sale_id,
				DATE(sales.sale_time) AS sale_date, 
				SUM(sales_items.quantity_purchased) AS quantity_purchased,
				ospos_people.first_name,
				ospos_people.last_name,
				ospos_people.address_2,
				ospos_people.phone_number,
				sum(ospos_accounts.monto) monto_total,
				sum(ospos_accounts.monto-ospos_accounts.saldo) pagado,
				sum(ospos_accounts.saldo) saldo,
				(SELECT sum(a.saldo) venc FROM ospos_accounts a 
				WHERE a.sale_id=sales.sale_id
				and a.vencimiento_time<=CURRENT_DATE) vencido,
				(SELECT min(a.vencimiento_time) fec_venc
				FROM ospos_accounts a 
				WHERE a.sale_id=sales.sale_id
				and a.vencimiento_time<=CURRENT_DATE
				and a.saldo>0) vencimiento,
				(SELECT count(1) fec_venc
				FROM ospos_accounts a 
				WHERE a.sale_id=sales.sale_id
				and a.vencimiento_time<=CURRENT_DATE
				and a.saldo>0) cuotas_vencidas,
				(SELECT DATEDIFF(CURRENT_DATE, min(a.vencimiento_time)) dias_atraso
				FROM ospos_accounts a 
				WHERE a.sale_id=sales.sale_id
				and a.vencimiento_time<=CURRENT_DATE
				and a.saldo>0) dias_atraso
		');
	}
	
	protected function _fromcustom()
	{
		$this->db->from('sales_items AS sales_items');
		$this->db->join('sales AS sales', 'sales_items.sale_id = sales.sale_id', 'inner');
		$this->db->join('sales_items_taxes_temp AS sales_items_taxes', 'sales_items.sale_id = sales_items_taxes.sale_id AND sales_items.item_id = sales_items_taxes.item_id', 'left outer');
		$this->db->join('ospos_accounts', 'sales_items.sale_id = ospos_accounts.sale_id', 'inner');
		$this->db->join('ospos_people', 'sales.customer_id = ospos_people.person_id', 'inner');
	}

	protected function _group_order()
	{
		$this->db->group_by('sale_id');
		$this->db->order_by('sale_date');
	}
}
?>