<?php $this->load->view("partial/header"); ?>
<div id="page_title">Botonera Punto de Venta</div>
<script type="text/javascript">
$(document).ready(function()
{
    $('#generate_barcodes').click(function()
    {
        window.open(
            'index.php/items/generate_barcodes/'+table_support.selected_ids().join(':'),
            '_blank' // <- This is what makes it open in a new window.
        );
    });
    
    // when any filter is clicked and the dropdown window is closed
    $('#filters').on('hidden.bs.select', function(e)
    {
        table_support.refresh();
    });

    // load the preset datarange picker
    <?php $this->load->view('partial/daterangepicker'); ?>
    // set the beginning of time as starting date
    $('#daterangepicker').data('daterangepicker').setStartDate("<?php echo date($this->config->item('dateformat'), mktime(0,0,0,01,01,2010));?>");
    // update the hidden inputs with the selected dates before submitting the search data
    var start_date = "<?php echo date('Y-m-d', mktime(0,0,0,01,01,2010));?>";
    $("#daterangepicker").on('apply.daterangepicker', function(ev, picker) {
        table_support.refresh();
    });

    $("#stock_location").change(function() {
       table_support.refresh();
    });

    <?php $this->load->view('partial/bootstrap_tables_locale'); ?>

    table_support.init({
        employee_id: <?php echo $this->Employee->get_logged_in_employee_info()->person_id; ?>,
        resource: '<?php echo site_url($controller_name);?>',
        headers: <?php echo $table_headers; ?>,
        pageSize: <?php echo $this->config->item('lines_per_page'); ?>,
        uniqueId: 'items.item_id',
        queryParams: function() {
            return $.extend(arguments[0], {
                start_date: start_date,
                end_date: end_date,
                stock_location: $("#stock_location").val(),
                filters: $("#filters").val() || [""]
            });
        },
        onLoadSuccess: function(response) {
            $('a.rollover').imgPreview({
                imgCSS: { width: 200 },
                distanceFromCursor: { top:10, left:-210 }
            })
        }
    });
});
</script>

    <script language="javascript">
        function doSearch()
        {
            var tableReg = document.getElementById('datos');
            var searchText = document.getElementById('searchTerm').value.toLowerCase();
            var cellsOfRow="";
            var found=false;
            var compareWith="";
 
            // Recorremos todas las filas con contenido de la tabla
            for (var i = 1; i < tableReg.rows.length; i++)
            {
                cellsOfRow = tableReg.rows[i].getElementsByTagName('td');
                found = false;
                // Recorremos todas las celdas
                for (var j = 0; j < cellsOfRow.length && !found; j++)
                {
                    compareWith = cellsOfRow[j].innerHTML.toLowerCase();
                    // Buscamos el texto en el contenido de la celda
                    if (searchText.length == 0 || (compareWith.indexOf(searchText) > -1))
                    {
                        found = true;
                    }
                }
                if(found)
                {
                    tableReg.rows[i].style.display = '';
                } else {
                    // si no ha encontrado ninguna coincidencia, esconde la
                    // fila de la tabla
                    tableReg.rows[i].style.display = 'none';
                }
            }
        }
    </script>
<script type="text/javascript">


$("#number").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        .replace(/([0-9])([0-9]{2})$/, '$1.$2')
                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ",");
        });
    }
});


$("#precio").on({
    "focus": function (event) {
        $(event.target).select();
    },
    "keyup": function (event) {
        $(event.target).val(function (index, value ) {
            return value.replace(/\D/g, "")
                        .replace(/([0-9])([0-9]{2})$/, '$1.$2')
                        .replace(/\B(?=(\d{3})+(?!\d)\.?)/g, ",");
        });
    }
});

/* Sumar dos números. */
function sumar() {

  var total = 0;

  $(".monto").each(function() {

    if (isNaN(parseFloat($(this).val()))) {

      total += 0;

    } else {

      total += parseFloat($(this).val());

    }

  });

  //alert(total);
  document.getElementById('spTotal').innerHTML = total;

}

</script>




<div id="register_wrapper">
<!-- Top register controls -->
    <?php echo form_open($controller_name."/new_pos_items", array('id'=>'add_item_form', 'class'=>'form-horizontal panel panel-default')); ?>
        <div class="panel-body form-group">
            <ul>
                <li class="pull-left first_li">
                    <label for="item" class='control-label'>Agregar Artículo </label>
                </li>
                <input type="hidden" name="price_id" value="<?php  echo $price_id;?>" required/>
                <input type="hidden" name="description" value="<?php  echo $description;?>" required/>
                <input type="hidden" name="costo_promedio" value="<?php  echo round($costo_promedio);?>" required/>
                <li class="pull-left">
                    <?php echo form_input(array('name'=>'item', 'id'=>'item', 'class'=>'form-control input-sm', 'size'=>'50', 'tabindex'=>'1')); ?>
                </li>
            </ul>
        </div>
    <?php echo form_close(); ?>


</div>
<br>
<div class="row">
    <div class="col-xs-6">
        <h4>Articulos asignados</h4>
    </div>
</div>
<br>
<div class="row">

    <div id="table_holder">
        <table id="datos" class="table table-bordered table-hover">
            <thead>
                <tr>
                    <th>Codigo</th>
                    <th>Descripcion</th>
                    <th>Categoría</th>
                    <th>Tamaño</th>
                    <th>Color</th>
                    <th style="width: 20px;"></th>
                </tr>
            </thead>
            <tbody>
            <?php foreach($items->result_array() as $item)
                {?>
                <tr>
                    <td><?php  echo $item['item_number'];?></td>
                    <td><?php  echo $item['item_name'];?></td>
                    <td><?php  echo $item['category'];?></td>
                                        
                    
                    <td>
                    <form action="<?php echo site_url($controller_name."/update_pos_items"); ?>" method="put">
                    <select id="button_size" name="button_size" class="selectpicker show-menu-arrow" required>
                            <option value="btn-lg" <?php if ($item['button_size']=="btn-lg") {echo "selected";} ?> >Grande</option>
                            <option value="btn-md" <?php if ($item['button_size']=="btn-md") {echo "selected";} ?> >Mediano</option>
                            <option value="btn-sm" <?php if ($item['button_size']=="btn-sm") {echo "selected";} ?> >Pequeño</option>
                            <option value="btn-xs" <?php if ($item['button_size']=="btn-xs") {echo "selected";} ?> >Extra Pequeño</option>
                    </select>
                    <input type="hidden" name="pos_id" value="<?php  echo $item['pos_id'];?>" required/>
                    <input type="hidden" name="button_type" value="<?php  echo $item['button_type'];?>" required/>                       
                    <input type="submit" value="OK" class="btn btn-primary btn-sm active" />
                    </form>
                    </td>
                    <td>
                    <form action="<?php echo site_url($controller_name."/update_pos_items"); ?>" method="put">
                    <button class="btn <?php echo $item['button_type']; ?> btn-md active"></button>
                    <select id="button_type" name="button_type" class="selectpicker show-menu-arrow"  btn-sm" required> 
                            <option value="btn-default" <?php if ($item['button_type']=="btn-default") {echo "selected";} ?> class="btn btn-default btn-sm active">Por Defecto</option>
                            <option value="btn-primary" <?php if ($item['button_type']=="btn-primary") {echo "selected";} ?> class="btn btn-primary btn-sm active">Negro</option>
                            <option value="btn-success" <?php if ($item['button_type']=="btn-success") {echo "selected";} ?> class="btn btn-success btn-sm active">Verde</option>
                            <option value="btn-info" <?php if ($item['button_type']=="btn-info") {echo "selected";} ?> class="btn btn-info btn-sm active">Azul</option>
                            <option value="btn-warning" <?php if ($item['button_type']=="btn-warning") {echo "selected";} ?> class="btn btn-warning btn-sm active">Amarillo</option>
                            <option value="btn-danger" <?php if ($item['button_type']=="btn-danger") {echo "selected";} ?> class="btn btn-danger btn-sm active">Rojo</option>
                    </select>
                    <input type="hidden" name="pos_id" value="<?php  echo $item['pos_id'];?>" required/>
                    <input type="hidden" name="button_size" value="<?php  echo $item['button_size'];?>" required/>                       
                    <input type="submit" value="OK" class="btn btn-primary btn-sm active" />
                    </form>
                    </td>
                    <td>
                    <form action="<?php echo site_url($controller_name."/delete_pos_items"); ?>" method="put">

                    <input type="hidden" name="pos_id" value="<?php  echo $item['pos_id'];?>" required/>                      
                    <input type="submit" value="Eliminar" class="btn btn-danger btn-sm active" />
                    </form>
                    </td>
                    
                    
                </tr>
            <?php }?>
            </tbody>
        </table>
    </div>
</div>





<script type="text/javascript">
$(document).ready(function()
{
    $("#item").autocomplete(
    {
        source: '<?php echo site_url($controller_name."/item_search"); ?>',
        minChars:0,
        delay:10,
        autoFocus: false,
        select: function (a, ui) {
            $(this).val(ui.item.value);
            $("#add_item_form").submit();
        }
    });


    $('#item').keypress(function (e) {
        if (e.which == 13) {
            $('#add_item_form').submit();
            return false;
        }
    });

    $('#item').blur(function()
    {
        $(this).attr('value',"<?php echo $this->lang->line('sales_start_typing_item_name'); ?>");
    });

    $('#comment').keyup(function() 
    {
        $.post('<?php echo site_url($controller_name."/set_comment");?>', {comment: $('#comment').val()});
    });

    $('#recv_reference').keyup(function() 
    {
        $.post('<?php echo site_url($controller_name."/set_reference");?>', {recv_reference: $('#recv_reference').val()});
    });

    $("#recv_print_after_sale").change(function()
    {
        $.post('<?php echo site_url($controller_name."/set_print_after_sale");?>', {recv_print_after_sale: $(this).is(":checked")});
    });

    $('#item,#supplier').click(function()
    {
        $(this).attr('value','');
    });

    $("#supplier").autocomplete(
    {
        source: '<?php echo site_url("suppliers/suggest"); ?>',
        minChars:0,
        delay:10,
        select: function (a, ui) {
            $(this).val(ui.item.value);
            $("#select_supplier_form").submit();
        }
    });

    dialog_support.init("a.modal-dlg, button.modal-dlg");

    $('#supplier').blur(function()
    {
        $(this).attr('value',"<?php echo $this->lang->line('receivings_start_typing_supplier_name'); ?>");
    });

    $("#finish_receiving_button").click(function()
    {
        $('#finish_receiving_form').submit();
    });

    $("#cancel_receiving_button").click(function()
    {
        if (confirm('<?php echo $this->lang->line("receivings_confirm_cancel_receiving"); ?>'))
        {
            $('#finish_receiving_form').attr('action', '<?php echo site_url($controller_name."/cancel_receiving"); ?>');
            $('#finish_receiving_form').submit();
        }
    });

    $("#cart_contents input").keypress(function(event)
    {
        if (event.which == 13)
        {
            $(this).parents("tr").prevAll("form:first").submit();
        }
    });

    table_support.handle_submit = function(resource, response, stay_open)
    {
        if(response.success)
        {
            if (resource.match(/suppliers$/))
            {
                $("#supplier").attr("value",response.id);
                $("#select_supplier_form").submit();
            }
            else
            {
                $("#item").attr("value",response.id);
                if (stay_open)
                {
                    $("#add_item_form").ajaxSubmit();
                }
                else
                {
                    $("#add_item_form").submit();
                }
            }
        }
    }
});

</script>
<?php $this->load->view("partial/footer"); ?>